local mod = foundation.createMod();


mod:dofile("scripts/monk.lua")

mod:dofile("scripts/dung.lua")
mod:dofile("scripts/rabbit.lua")
mod:dofile("scripts/vegetable.lua")
mod:dofile("scripts/cattle.lua")
mod:dofile("scripts/sheep.lua")
mod:dofile("scripts/mushroom.lua")

mod:dofile("scripts/hut.lua")
mod:dofile("scripts/kitchen.lua")
mod:dofile("scripts/pond.lua")
-- mod:dofile("scripts/storehouse.lua") -- custom warehouse/granary not working as of Jan 2022

mod:dofile("scripts/chapel.lua")
mod:dofile("scripts/choir.lua")
mod:dofile("scripts/dining.lua")
mod:dofile("scripts/clothier.lua")
mod:dofile("scripts/scriptorium.lua")
-- mod:dofile("scripts/library.lua") -- was causing crashes
mod:dofile("scripts/scholar.lua")

mod:dofile("scripts/decoration.lua")

mod:dofile("scripts/monastery.lua")

mod:dofile("scripts/upgrade.lua")

mod:dofile("scripts/upgradeWheatFarm.lua")
mod:dofile("scripts/upgradeHopFarm.lua")
mod:dofile("scripts/upgradeVegetableFarm.lua")
if foundation.isModLoaded("f252f14d-ca1d-4d02-97ca-46581d4b567d") then mod:dofile("scripts/upgradeOrchard.lua") end
if foundation.isModLoaded("25402f80-c479-4c9b-a1c0-2bc7eedf17a1") then mod:dofile("scripts/upgradeFlaxFarm.lua") end

mod:dofile("scripts/upgradeBakery.lua")
mod:dofile("scripts/upgradeBlacksmith.lua")
mod:dofile("scripts/upgradeBrewery.lua")
mod:dofile("scripts/upgradeCheesemaker.lua")
mod:dofile("scripts/upgradeCandlemaker.lua")
mod:dofile("scripts/upgradeCommonWares.lua")

mod:dofile("scripts/upgradeWeaver.lua")
mod:dofile("scripts/upgradeTailor.lua")
mod:dofile("scripts/upgradeCooperage.lua")
mod:dofile("scripts/upgradeWindmill.lua")
if foundation.isModLoaded("4a8d3ff2-60af-4c75-8950-33e990975862") then mod:dofile("scripts/upgradeFurniture.lua") end
